org.codehaus.plexus.components.interactivity

## Interface Prompter

All Known Implementing Classes:
  DefaultPrompter

    public interface Prompter

Prompt the user for input.

Version:
  $Id: Prompter.java 2649 2005-10-10 16:51:51Z brett $
Author:
  Brett Porter

### Field Summary

Fields
`static String` `ROLE`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `prompt(String message)`
`String` `prompt(String message, List possibleValues)`
`String` `prompt(String message, List possibleValues, String defaultReply)`
`String` `prompt(String message, String defaultReply)`
`String` `promptForPassword(String message)`
`void` `showMessage(String message)`

### Field Detail

#### ROLE

    static final String ROLE

### Method Detail

#### prompt

    String prompt(String message)
           throws PrompterException

Throws:
  `PrompterException`

#### prompt

    String prompt(String message,
                  String defaultReply)
           throws PrompterException

Throws:
  `PrompterException`

#### prompt

    String prompt(String message,
                  List possibleValues)
           throws PrompterException

Throws:
  `PrompterException`

#### prompt

    String prompt(String message,
                  List possibleValues,
                  String defaultReply)
           throws PrompterException

Throws:
  `PrompterException`

#### promptForPassword

    String promptForPassword(String message)
                      throws PrompterException

Throws:
  `PrompterException`

#### showMessage

    void showMessage(String message)
              throws PrompterException

Throws:
  `PrompterException`